<?php
/**
 * The default template for displaying content
 *
 * @package WordPress
 * @subpackage Skylab
 * @since Skylab 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
	
	<div class="entry-header-wrapper clearfix">
		<header class="entry-header clearfix">
			
			<?php if ( ! empty( $post->post_title ) ) { ?>
			<h1 class="entry-title">
			<?php if ( is_single() ) { ?>
				<?php the_title(); ?>
			<?php } else { ?>
				<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
			<?php } ?>
			</h1>
			<?php } ?>
			
			<div class="entry-meta">
				<div class="meta-wrapper">
					<?php if ( is_single() ) { ?>
						<?php mega_posted_on(); ?>
					<?php } else { ?>
						<?php if ( ! empty( $post->post_title ) ) { ?>
							<?php mega_posted_on(); ?>
						<?php } else { ?>
							<p class="entry-date-wrapper"><a href="<?php the_permalink(); ?>" rel="bookmark"><span class="entry-date"><?php the_date(); ?></span></a></p>
						<?php } ?>
					<?php } ?>
					
					<?php $count_users = count_users(); ?>
					<?php if ( $count_users['total_users'] > 1 ) { ?>
					<span class="author vcard"><span class="by"><?php echo esc_html__( 'by', 'skylab' ); ?></span> <a class="url fn n" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php echo esc_html( get_the_author() ); ?></a></span>
					<?php } ?>
					
					<?php if ( comments_open() ) { ?>
					<span class="comments-link"><?php comments_popup_link( '<span>'. esc_html__( 'Comment', 'skylab' ) .'</span>', '<span>1 </span> <span class="comments">'. esc_html__( 'Comment', 'skylab' ) .'</span>', '<span>%</span> <span class="comments">'. esc_html__( 'Comments', 'skylab' ) .'</span>' ); ?></span>
					<?php } // End if comments_open() ?>
					
					<?php
					/* translators: used between list items, there is a space after the comma */
					$categories_list = get_the_category_list( esc_html__( ', ', 'skylab' ) );
					if ( $categories_list ) {
					?>
					<span class="cat-links">
						<span class="entry-utility-prep entry-utility-prep-cat-links"><?php echo esc_html__( 'Posted in', 'skylab' ) ?></span>
						<?php echo trim( $categories_list ); ?>
					</span>
					<?php } // End if categories ?>
				</div>
			</div><!-- .entry-meta -->
			
		</header><!-- .entry-header -->
		
		<?php if ( has_post_thumbnail() ) { ?>
			<?php $post_thumbnail_id = get_post_thumbnail_id( $post->ID ); ?>
			<?php $post_featured_img = wp_get_attachment_image_src( $post_thumbnail_id, 'large' ); ?>
			<?php $post_featured_img_medium_large = wp_get_attachment_image_src( $post_thumbnail_id, 'medium_large' ); ?>
			<?php $title = get_post( get_post_thumbnail_id() )->post_title; ?>
			<div class="featured-image-wrapper lazyload-enabled">
				<div class="featured-image lazy" style="--aspect-ratio: <?php echo esc_attr( ( $post_featured_img[1] / $post_featured_img[2] ) ) ?>;">
					<?php echo '<img class="featured-image-img lazyload" width="'. esc_attr( $post_featured_img[1] ) .'" height="'. esc_attr( $post_featured_img[2] ) .'" data-srcset="'. esc_url( $post_featured_img_medium_large[0] ) .' 768w, '. esc_url( $post_featured_img[0] ) .'" alt="'. esc_attr( $title ) .'" src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7" />'; ?>
					<span class="loaderbg"></span>
				</div>
			</div>
		<?php } ?>
	</div>
	
	<div class="entry-content clearfix">
		<?php the_content( esc_html__( 'Read more', 'skylab' ) ); ?>
		<?php wp_link_pages( array(
			'before' => '<div class="nav-pagination">',
			'after' => '</div>',
			'link_before' => '<span>',
			'link_after' => '</span>',
			) ); ?>
	</div><!-- .entry-content -->
</article><!-- #post-<?php the_ID(); ?> -->