/**
 * File customize-preview.js.
 *
 * Instantly live-update customizer settings in the preview for improved user experience.
 */

( function( $ ) {
	
	/* Typography
	---------------------------------------------------------- */
	
	// Body Font Size
	wp.customize( 'body_font_size', function( value ) {
		value.bind( function( newval ) {
			$( `body,
				input,
				textarea,
				input[type=text],
				input[type=password],
				input[type=email],
				input[type=tel],
				input[type=number]` ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Body Font Weight
	wp.customize( 'body_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( `body,
				input,
				textarea` ).css( 'font-weight', newval );
		} );
	} );
	
	// Heading Font Weight
	wp.customize( 'heading_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( `h1,
				h2,
				h3,
				h4,
				h5,
				h6,
				blockquote,
				.comment-reply-link,
				.slick-slider-wrapper .paging-info,
				#respond #submit,
				#main #nav-pagination-single a .content-wrapper,
				.tparrows.skylab a .title-wrapper,
				#page .essb_template_skylab li a .essb_network_name,
				.entry-content .more-link,
				.wpcf7-submit,
				.load-more-button-text` ).css( 'font-weight', newval );
		} );
	} );
	
	// Links Text Decoration
	wp.customize( 'links_text_decoration', function( value ) {
		value.bind( function( newval ) {
			if ( newval == 'none' ) {
				$( 'body' ).addClass('links-text-decoration-disabled');
			} else {
				$( 'body' ).removeClass('links-text-decoration-disabled');
			}
		} );
	} );
	
	// Links Font Style
	wp.customize( 'links_font_style', function( value ) {
		value.bind( function( newval ) {
			if ( newval == 'italic' ) {
				$( 'body' ).addClass('links-font-style-italic');
			} else {
				$( 'body' ).removeClass('links-font-style-italic');
			}
		} );
	} );
	
	// Buttons Font Size
	wp.customize( 'buttons_font_size', function( value ) {
		value.bind( function( newval ) {
			$( `.wpcf7-submit,
				#respond #submit,
				.post-password-form .submit-button-wrapper,
				#page .vc_general.vc_btn3` ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Buttons Text Transform
	wp.customize( 'buttons_text_transform', function( value ) {
		value.bind( function( newval ) {
			$( `.wpcf7-submit,
				#respond #submit,
				.post-password-form .submit-button-wrapper,
				#page .vc_general.vc_btn3` ).css( 'text-transform', newval );
		} );
	} );
	
	// Buttons Font Weight
	wp.customize( 'buttons_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( `.wpcf7-submit,
				#respond #submit,
				.post-password-form .submit-button-wrapper,
				#page .vc_general.vc_btn3` ).css( 'font-weight', newval );
		} );
	} );
	
	// Buttons Letter Spacing
	wp.customize( 'buttons_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$( `.wpcf7-submit,
				#respond #submit,
				.post-password-form .submit-button-wrapper,
				#page .vc_general.vc_btn3` ).css( 'letter-spacing', newval + 'px' );
		} );
	} );
	
	// Site Title
	wp.customize( 'blogname', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-title' ).html( newval );
		} );
	} );
	
	// Tagline
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-description' ).html( newval );
		} );
	} );
	
	// Site Title Font Size
	wp.customize( 'site_title_font_size', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-title' ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Site Title Font Size for Header Height on Scrolling
	wp.customize( 'site_title_font_size_for_header_height_on_scrolling', function( value ) {
		value.bind( function( newval ) {
			$( '.ghost-header #site-title a .site-title, .header-height-on-scrolling #site-title a .site-title' ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Site Title Text Transform
	wp.customize( 'site_title_text_transform', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-title' ).css( 'text-transform', newval );
		} );
	} );
	
	// Site Title Font Weight
	wp.customize( 'site_title_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-title' ).css( 'font-weight', newval );
		} );
	} );
	
	// Site Title Letter Spacing
	wp.customize( 'site_title_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-title' ).css( 'letter-spacing', newval + 'px' );
		} );
	} );
	
	// Site Title Font Style
	wp.customize( 'site_title_font_style', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-title' ).css( 'font-style', newval );
		} );
	} );
	
	// Tagline Font Size
	wp.customize( 'tagline_font_size', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-description' ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Tagline Font Size for Header Height on Scrolling
	wp.customize( 'tagline_font_size_for_header_height_on_scrolling', function( value ) {
		value.bind( function( newval ) {
			$( '.ghost-header #site-title a .site-description, .header-height-on-scrolling #site-title a .site-description' ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Tagline Text Transform
	wp.customize( 'tagline_text_transform', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-description' ).css( 'text-transform', newval );
		} );
	} );
	
	// Tagline Font Weight
	wp.customize( 'tagline_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-description' ).css( 'font-weight', newval );
		} );
	} );
	
	// Tagline Letter Spacing
	wp.customize( 'tagline_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-description' ).css( 'letter-spacing', newval + 'px' );
		} );
	} );
	
	// Tagline Font Style
	wp.customize( 'tagline_font_style', function( value ) {
		value.bind( function( newval ) {
			$( '#site-title a .site-description' ).css( 'font-style', newval );
		} );
	} );
	
	// Primary Menu Font Size
	wp.customize( 'menu_font_size', function( value ) {
		value.bind( function( newval ) {
			$( '.header .nav-menu-primary-header ul' ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Primary Menu Text Transform
	wp.customize( 'menu_text_transform', function( value ) {
		value.bind( function( newval ) {
			$( '.header .nav-menu-primary-header ul' ).css( 'text-transform', newval );
		} );
	} );
	
	// Primary Menu Font Weight
	wp.customize( 'menu_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( '.header .nav-menu-primary-header ul' ).css( 'font-weight', newval );
		} );
	} );
	
	// Primary Menu Letter Spacing
	wp.customize( 'menu_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$( '.header .nav-menu-primary-header ul' ).css( 'letter-spacing', newval + 'px' );
		} );
	} );
	
	// Primary Menu Font Style
	wp.customize( 'menu_font_style', function( value ) {
		value.bind( function( newval ) {
			$( '.header .nav-menu-primary-header ul a' ).css( 'font-style', newval );
		} );
	} );
	
	// Secondary Menu Font Size
	wp.customize( 'menu_secondary_font_size', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-secondary-header ul' ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Secondary Menu Text Transform
	wp.customize( 'menu_secondary_text_transform', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-secondary-header ul' ).css( 'text-transform', newval );
		} );
	} );
	
	// Secondary Menu Font Weight
	wp.customize( 'menu_secondary_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-secondary-header ul' ).css( 'font-weight', newval );
		} );
	} );
	
	// Secondary Menu Letter Spacing
	wp.customize( 'menu_secondary_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-secondary-header ul' ).css( 'letter-spacing', newval + 'px' );
		} );
	} );
	
	// Secondary Menu Font Style
	wp.customize( 'menu_secondary_font_style', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-secondary-header ul a' ).css( 'font-style', newval );
		} );
	} );
	
	// Sliding Menu Font Size
	wp.customize( 'menu_sliding_font_size', function( value ) {
		value.bind( function( newval ) {
			$( '#sliding-menu-wrapper .sliding-menu' ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Sliding Menu Text Transform
	wp.customize( 'menu_sliding_text_transform', function( value ) {
		value.bind( function( newval ) {
			$( '#sliding-menu-wrapper .sliding-menu' ).css( 'text-transform', newval );
		} );
	} );
	
	// Sliding Menu Font Weight
	wp.customize( 'menu_sliding_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( '#sliding-menu-wrapper .sliding-menu' ).css( 'font-weight', newval );
		} );
	} );
	
	// Sliding Menu Letter Spacing
	wp.customize( 'menu_sliding_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$( '#sliding-menu-wrapper .sliding-menu' ).css( 'letter-spacing', newval + 'px' );
		} );
	} );
	
	// Sliding Menu Font Style
	wp.customize( 'menu_sliding_font_style', function( value ) {
		value.bind( function( newval ) {
			$( '#sliding-menu-wrapper .sliding-menu a' ).css( 'font-style', newval );
		} );
	} );
	
	// Top Bar Menu Font Size
	wp.customize( 'menu_top_bar_font_size', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-top-bar ul' ).css( 'font-size', newval + 'px' );
		} );
	} );
	
	// Top Bar Menu Text Transform
	wp.customize( 'menu_top_bar_text_transform', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-top-bar ul' ).css( 'text-transform', newval );
		} );
	} );
	
	// Top Bar Menu Font Weight
	wp.customize( 'menu_top_bar_font_weight', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-top-bar ul' ).css( 'font-weight', newval );
		} );
	} );
	
	// Top Bar Menu Letter Spacing
	wp.customize( 'menu_top_bar_letter_spacing', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-top-bar ul' ).css( 'letter-spacing', newval + 'px' );
		} );
	} );
	
	// Top Bar Menu Font Style
	wp.customize( 'menu_top_bar_font_style', function( value ) {
		value.bind( function( newval ) {
			$( '.nav-menu-top-bar ul a' ).css( 'font-style', newval );
		} );
	} );
	
	// Footer Bottom Area Top Padding
	wp.customize( 'footer_bottom_area_top_padding', function( value ) {
		value.bind( function( newval ) {
			$( '#site-generator' ).css( 'padding-top', newval + 'px' );
		} );
	} );
	
	// Footer Bottom Area Bottom Padding
	wp.customize( 'footer_bottom_area_bottom_padding', function( value ) {
		value.bind( function( newval ) {
			$( '#site-generator' ).css( 'padding-bottom', newval + 'px' );
		} );
	} );
	
	/* Colors
	---------------------------------------------------------- */
	
	// Accent Color
	wp.customize( 'accent_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--accent-color", newval);
		} );
	} );
	
	// Body Color
	wp.customize( 'body_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--body-color", newval);
		} );
	} );
	
	// Primary Color
	wp.customize( 'primary_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--primary-color", newval);
		} );
	} );
	
	// Secondary Color
	wp.customize( 'secondary_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--secondary-color", newval);
		} );
	} );
	
	// Third Color
	wp.customize( 'third_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--third-color", newval);
		} );
	} );
	
	// Borders Color
	wp.customize( 'borders_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--borders-color", newval);
		} );
	} );
	
	// Links Color
	wp.customize( 'links_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--links-color", newval);
		} );
	} );
	
	// Links Color - Hover
	wp.customize( 'links_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--links-color-hover", newval);
		} );
	} );
	
	// Links Color - Active
	wp.customize( 'links_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--links-color-active", newval);
		} );
	} );
	
	// Pagination Links Color
	wp.customize( 'pagination_links_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--pagination-links-color", newval);
		} );
	} );
	
	// Pagination Links Color - Hover
	wp.customize( 'pagination_links_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--pagination-links-color-hover", newval);
		} );
	} );
	
	// Pagination Links Color - Active
	wp.customize( 'pagination_links_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--pagination-links-color-active", newval);
		} );
	} );
	
	// Page Load Progress Bar Color
	wp.customize( 'page_load_progress_bar_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--page-load-progress-bar-color", newval);
		} );
	} );
	
	// Page Load Progress Indicator Color
	wp.customize( 'page_load_progress_indicator_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--page-load-progress-indicator-color", newval);
		} );
	} );
	
	// Page Load Overlay Background Color
	wp.customize( 'page_load_overlay_background_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--page-load-overlay-background-color", newval);
		} );
	} );
	
	// Buttons Background Color
	wp.customize( 'buttons_background_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--buttons-background-color", newval);
		} );
	} );
	
	// Buttons Background Color - Hover
	wp.customize( 'buttons_background_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--buttons-background-color-hover", newval);
		} );
	} );
	
	// Buttons Background Color - Active
	wp.customize( 'buttons_background_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--buttons-background-color-active", newval);
		} );
	} );
	
	// Buttons Text Color
	wp.customize( 'buttons_text_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--buttons-text-color", newval);
		} );
	} );
	
	// Buttons Text Color - Hover
	wp.customize( 'buttons_text_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--buttons-text-color-hover", newval);
		} );
	} );
	
	// Buttons Text Color - Active
	wp.customize( 'buttons_text_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--buttons-text-color-active", newval);
		} );
	} );
	
	// Inputs Placeholders Color
	wp.customize( 'inputs_placeholders_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--inputs-placeholders-color", newval);
		} );
	} );
	
	// Inputs Borders Color
	wp.customize( 'inputs_borders_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--inputs-borders-color", newval);
		} );
	} );
	
	// Inputs Borders Color - Hover
	wp.customize( 'inputs_borders_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--inputs-borders-color-hover", newval);
		} );
	} );
	
	// Inputs Borders Color - Focus
	wp.customize( 'inputs_borders_color_focus', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--inputs-borders-color-focus", newval);
		} );
	} );
	
	// General Arrows Icons Color
	wp.customize( 'general_arrows_icons_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--general-arrows-icons-color", newval);
		} );
	} );
	
	// General Arrows Icons Color - Hover
	wp.customize( 'general_arrows_icons_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--general-arrows-icons-color-hover", newval);
		} );
	} );
	
	// General Arrows Icons Color - Active
	wp.customize( 'general_arrows_icons_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--general-arrows-icons-color-active", newval);
		} );
	} );
	
	// General Arrows Background Color
	wp.customize( 'general_arrows_background_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--general-arrows-background-color", newval);
		} );
	} );
	
	// General Arrows Background Color - Hover
	wp.customize( 'general_arrows_background_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--general-arrows-background-color-hover", newval);
		} );
	} );
	
	// General Arrows Background Color - Active
	wp.customize( 'general_arrows_background_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--general-arrows-background-color-active", newval);
		} );
	} );
	
	// Header Background Color
	wp.customize( 'header_background_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-background-color", newval);
		} );
	} );
	
	// Site Title Color
	wp.customize( 'site_title_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--site-title-color", newval);
		} );
	} );
	
	// Site Title Color - Hover
	wp.customize( 'site_title_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--site-title-color-hover", newval);
		} );
	} );
	
	// Site Title Color - Active
	wp.customize( 'site_title_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--site-title-color-active", newval);
		} );
	} );
	
	// Site Tagline Color
	wp.customize( 'site_tagline_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--site-tagline-color", newval);
		} );
	} );
	
	// Primary Menu Link Color
	wp.customize( 'primary_menu_link_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--primary-menu-link-color", newval);
		} );
	} );
	
	// Primary Menu Link Color - Hover
	wp.customize( 'primary_menu_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--primary-menu-link-color-hover", newval);
		} );
	} );
	
	// Primary Menu Link Color - Active
	wp.customize( 'primary_menu_link_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--primary-menu-link-color-active", newval);
		} );
	} );
	
	// Header Text Color
	wp.customize( 'header_text_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-text-color", newval);
		} );
	} );
	
	// Header Link Color
	wp.customize( 'header_link_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-link-color", newval);
		} );
	} );
	
	// Header Link Color - Hover
	wp.customize( 'header_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-link-color-hover", newval);
		} );
	} );
	
	// Header Link Color - Active
	wp.customize( 'header_link_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-link-color-active", newval);
		} );
	} );
	
	// Header Social Links Color
	wp.customize( 'header_social_links_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-social-links-color", newval);
		} );
	} );
	
	// Header Social Links Color - Hover
	wp.customize( 'header_social_links_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-social-links-color-hover", newval);
		} );
	} );
	
	// Header Social Links Color - Active
	wp.customize( 'header_social_links_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-social-links-color-active", newval);
		} );
	} );
	
	// Header Top Border Color
	wp.customize( 'header_top_border_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-top-border-color", newval);
		} );
	} );
	
	// Header Bottom Border Color
	wp.customize( 'header_bottom_border_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--header-bottom-border-color", newval);
		} );
	} );
	
	// Secondary Menu Link Color
	wp.customize( 'secondary_menu_link_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--secondary-menu-link-color", newval);
		} );
	} );
	
	// Secondary Menu Link Color - Hover
	wp.customize( 'secondary_menu_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--secondary-menu-link-color-hover", newval);
		} );
	} );
	
	// Secondary Menu Link Color - Active
	wp.customize( 'secondary_menu_link_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--secondary-menu-link-color-active", newval);
		} );
	} );
	
	// Sliding Menu Link Color
	wp.customize( 'sliding_menu_link_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--sliding-menu-link-color", newval);
		} );
	} );
	
	// Sliding Menu Link Color - Hover
	wp.customize( 'sliding_menu_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--sliding-menu-link-color-hover", newval);
		} );
	} );
	
	// Sliding Menu Link Color - Active
	wp.customize( 'sliding_menu_link_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--sliding-menu-link-color-active", newval);
		} );
	} );
	
	// Top Bar Background Color
	wp.customize( 'top_bar_background_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-background-color", newval);
		} );
	} );
	
	// Top Bar Menu Link Color
	wp.customize( 'top_bar_menu_link_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-menu-link-color", newval);
		} );
	} );
	
	// Top Bar Menu Link Color - Hover
	wp.customize( 'top_bar_menu_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-menu-link-color-hover", newval);
		} );
	} );
	
	// Top Bar Menu Link Color - Active
	wp.customize( 'top_bar_menu_link_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-menu-link-color-active", newval);
		} );
	} );
	
	// Top Bar Text Color
	wp.customize( 'top_bar_text_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-text-color", newval);
		} );
	} );
	
	// Top Bar Link Color
	wp.customize( 'top_bar_link_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-link-color", newval);
		} );
	} );
	
	// Top Bar Link Color - Hover
	wp.customize( 'top_bar_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-link-color-hover", newval);
		} );
	} );
	
	// Top Bar Link Color - Active
	wp.customize( 'top_bar_link_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-link-color-active", newval);
		} );
	} );
	
	// Top Bar Social Links Color
	wp.customize( 'top_bar_social_links_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-social-links-color", newval);
		} );
	} );
	
	// Top Bar Social Links Color - Hover
	wp.customize( 'top_bar_social_links_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-social-links-color-hover", newval);
		} );
	} );
	
	// Top Bar Social Links Color - Active
	wp.customize( 'top_bar_social_links_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-social-links-color-active", newval);
		} );
	} );
	
	// Top Bar Bottom Border Color
	wp.customize( 'top_bar_bottom_border_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--top-bar-bottom-border-color", newval);
		} );
	} );
	
	// Footer Background Color
	wp.customize( 'footer_background_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-background-color", newval);
		} );
	} );
	
	// Footer Widget Title Color
	wp.customize( 'footer_widget_title_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-widget-title-color", newval);
		} );
	} );
	
	// Footer Text Color
	wp.customize( 'footer_text_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-text-color", newval);
		} );
	} );
	
	// Footer Link Color
	wp.customize( 'footer_link_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-link-color", newval);
		} );
	} );
	
	// Footer Link Color - Hover
	wp.customize( 'footer_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-link-color-hover", newval);
		} );
	} );
	
	// Footer Link Color - Active
	wp.customize( 'footer_link_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-link-color-active", newval);
		} );
	} );
	
	// Footer Bottom Area Background Color
	wp.customize( 'footer_bottom_area_background_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-bottom-area-background-color", newval);
		} );
	} );
	
	// Footer Bottom Area Link Color
	wp.customize( 'footer_bottom_area_link_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-bottom-area-link-color", newval);
		} );
	} );
	
	// Footer Bottom Area Link Color - Hover
	wp.customize( 'footer_bottom_area_link_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-bottom-area-link-color-hover", newval);
		} );
	} );
	
	// Footer Bottom Area Link Color - Active
	wp.customize( 'footer_bottom_area_link_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-bottom-area-link-color-active", newval);
		} );
	} );
	
	// Footer Bottom Area Text Color
	wp.customize( 'footer_bottom_area_text_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-bottom-area-text-color", newval);
		} );
	} );
	
	// Footer Social Links Color
	wp.customize( 'footer_social_links_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-social-links-color", newval);
		} );
	} );
	
	// Footer Social Links Color - Hover
	wp.customize( 'footer_social_links_color_hover', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-social-links-color-hover", newval);
		} );
	} );
	
	// Footer Social Links Color - Active
	wp.customize( 'footer_social_links_color_active', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-social-links-color-active", newval);
		} );
	} );
	
	// Footer Top Border Color
	wp.customize( 'footer_top_border_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-top-border-color", newval);
		} );
	} );
	
	// Footer Bottom Area Top Border Color
	wp.customize( 'footer_bottom_area_top_border_color', function( value ) {
		value.bind( function( newval ) {
			$("body").get(0).style.setProperty("--footer-bottom-area-top-border-color", newval);
		} );
	} );

} )( jQuery );
