"use strict";

var essb = {};

essb.add_event = function(eventID, user_function) {
	if (!essb.events) essb.events = {};
	essb.events[eventID] = user_function;
};

essb.trigger = function(eventID, options) {
	if (!essb.events) return;
	if (essb.events[eventID]) essb.events[eventID](options);
};

essb.window = function (url, service, instance, trackingOnly) {
	var wnd,
		isMobile = window.innerWidth <= 1024 ? true : false,
		keyWin = 'essb_share_window' + (isMobile) + '-' + (Date.now()).toString();

	var w = (service == 'twitter') ? '500' : '800',
		h = (service == 'twitter') ? '300' : '500',
		left = (screen.width/2)-(Number(w)/2),
		top = (screen.height/2)-(Number(h)/2);


	if (!trackingOnly)
		wnd = window.open( url, keyWin, "height="+(service == 'twitter' ? '500' : '500')+",width="+(service == 'twitter' ? '500' : '800')+",resizable=1,scrollbars=yes,top="+top+",left="+left );

};

essb.share_window = function(url, custom_position, service) {
	var w = '800', h = '500', left = (screen.width/2)-(Number(w)/2), top = (screen.height/2)-(Number(h)/2);
	wnd = window.open( url, "essb_share_window", "height="+'500'+",width="+'800'+",resizable=1,scrollbars=yes,top="+top+",left="+left );

	if (typeof(essb_settings) != "undefined") {
		if (essb_settings.essb3_stats) {
			if (typeof(essb_log_stats_only) != "undefined")
				essb_log_stats_only(service, essb_settings["post_id"] || '', custom_position);

		}

		if (essb_settings.essb3_ga)
			essb_ga_tracking(service, url, custom_position);
	}
};

window.essb = essb;

/**
 * Incore Specific Functions & Events
 */

var essb_int_value = function(value) {
	value = parseInt(value);
	
	if (isNaN(value) || !isFinite(value)) value = 0;
	return value;
}

var essb_self_postcount = function (service, countID) {
	if (typeof(essb_settings) != "undefined") {
		countID = String(countID);

		$.post(essb_settings.ajax_url, {
			'action': 'essb_self_postcount',
			'post_id': countID,
			'service': service,
			'nonce': essb_settings.essb3_nonce
		}, function (data) { },'json');
	}
};

var essb_smart_onclose_events = function (service, postID) {	
	// 7.0 - trigger only on selected networks (when such are present)
	if (essb_settings && essb_settings['aftershare_networks']) {
		var workingNetworks = essb_settings['aftershare_networks'] != '' ? essb_settings['aftershare_networks'].split(',') : [];
		if (workingNetworks.indexOf(service) == -1) return;
	}
	else {
	// 6.0.3 - adding email & mail as also ignoring options
		if (service == "subscribe" || service == "comments" || service == 'email' || service == 'mail') return;
	}
	
	if (service == "subscribe" || service == "comments" || service == 'email' || service == 'mail') return;
	
	if (typeof (essbasc_popup_show) == 'function')
			essbasc_popup_show();

	if (typeof essb_acs_code == 'function')
		essb_acs_code(service, postID);

	if ($('.essb-aftershare-subscribe-form').length) {
		var key = $('.essb-aftershare-subscribe-form').data('salt') || '';
		if (key != '') essb.toggle_subscribe(key);
	}
};
