jQuery(function ($) {
	"use strict";
	// Single Product
	var singleProduct = $('.single-product');
	if (singleProduct.length) {
		Fresco.setDefaultSkin('custom');
		
		var sliderProduct = $('.slider').find('.slider-for');
		var sliderProductImage = $('.slider').find('.slider-for li');
		if ( sliderProductImage.length > 1 ) {
			var slidesLinks = $('.slider-nav a');
			slidesLinks.on('click', function( e ) {
				e.preventDefault();
			});
			
			sliderProduct.on({
				beforeChange: function (event, slick, current_slide_index, next_slide_index) {
					$('.slider-nav .slick-slide').removeClass('slick-main-active');
					$('.slider-nav .slick-slide[data-index=' + next_slide_index + ']').addClass('slick-main-active');
				}
			}).slick({
			  slidesToShow: 1,
			  slidesToScroll: 1,
			  arrows: false,
			  fade: true,
			  variableWidth: false,
			  infinite: false,
			  asNavFor: '.slider-nav'
			});
			
			var sliderProductNav = $('#carousel').find('.slider-nav');
			sliderProductNav.slick({
			  slidesToShow: 10,
			  slidesToScroll: 1,
			  asNavFor: sliderProduct,
			  dots: false,
			  centerMode: false,
			  focusOnSelect: true,
			  arrows: false,
			  infinite: false,
			  variableWidth: false,
			  vertical: true
			});
			
		}
		
		// Owl Carousel Related Products
		var relatedProducts = $('.mt-owl-carousel-container-enabled');
		if (relatedProducts.length) {
				var owlCarousel = $(this).find('.mt-owl-carousel-container');
				owlCarousel.owlCarousel({
					items: 3,
					margin: 30,
					dots: true,
					nav: false,
					navText: [],
					loop: true,
					center: false,
					slideBy: 3,
					smartSpeed: 150,
					stagePadding: 20,
					responsive : {
						// breakpoint from 0 up
						0 : {
							items: 1,
							margin: 30,
							dots: true,
							nav: false,
							navText: [],
							loop: true,
							center: false,
							slideBy: 3,
							smartSpeed: 150,
						},
						// breakpoint from 480 up
						680 : {
							items: 2,
							margin: 30,
							dots: true,
							nav: false,
							navText: [],
							loop: true,
							center: false,
							slideBy: 3,
							smartSpeed: 150,
						},
						// breakpoint from 768 up
						968 : {
							items: 3,
							margin: 30,
							dots: true,
							nav: false,
							navText: [],
							loop: true,
							center: false,
							slideBy: 3,
							smartSpeed: 150,
						}
					},
				});
		}
	}
	
	jQuery(window).on('load', function() {

		// Cart count animation
		if ($('.cart-contents-count').length) {
			$('.cart-contents-count').addClass('cart-contents-count-hidden');
			setTimeout(function() {
				$('.cart-contents-count').addClass('cart-contents-count-animation-document-start');
			}, 450);
		}
		
		// select2 dropdowns
		if ($('select#calc_shipping_country, select#calc_shipping_state').length) {
			$('select#calc_shipping_country, select#calc_shipping_state').select2();
		}
		
		// Remove Qty title
		$('.qty').removeAttr('title');
		
	});
	
	// Easy Social Share custom style
	var socialShareCustom = $('#page .easy-social-share-button-custom');
	if (socialShareCustom.length) {
		socialShareCustom.find('.essb_link_sharebtn a').on( 'click', function() {
			$(this).closest('.essb_link_sharebtn').toggleClass('active').parent().toggleClass('active');
		});
		
		$(document).on('click', function(e) {
			$('.essb_links_list, .essb_link_sharebtn').removeClass('active');
		});
		
		if (singleProduct.length) {
			socialShareCustom.find('.essb_links_list').children('li').not(':first-child').wrapAll('<div class="essb_links_list-drop" />');
		} else {
			socialShareCustom.find('.essb_links_list').children('li').not(':last-child').wrapAll('<div class="essb_links_list-drop" />');
		}
	}
	
	// YITH Wishlist message
	var yithWcwlPopupMessage = $('#yith-wcwl-popup-message');
	if (yithWcwlPopupMessage.length) {
		yithWcwlPopupMessage.appendTo('.yith-wcwl-add-to-wishlist');
	}
	
	// YITH Wishlist loading spinner, icon
	var addToWishlist = $('.yith-wcwl-add-to-wishlist');
	if (addToWishlist.length) {
		// YITH Wishlist loading spinner, icon
		addToWishlist.find('.ajax-loading').wrap('<i class="ajax-loading-wrapper"></i>');
		addToWishlist.find('.add_to_wishlist').prepend('<i class="add_to_wishlist-icon"></i>');
		// YITH Wishlist exist
		if ( $('.yith-wcwl-wishlistexistsbrowse').hasClass('show') ) {
			addToWishlist.addClass('exist');
		}
			
		// YITH Wishlist loading spinner
		$(document).ajaxSend(function(event, jqxhr, settings) {
			if (!settings.data) {return;}
			if (settings.data.indexOf('action=add_to_wishlist') >= 0) {
				$('.yith-wcwl-add-to-wishlist').addClass('loading');
			}
		});
		
	}
	
	// YITH Wishlist loading icon animation
	$('.add_to_wishlist').on('click', function() {
		$(this).find('.add_to_wishlist-icon').clone().css({'position': 'absolute', 'z-index': '1'}).prependTo($(this)).addClass('add_to_wishlist-icon-animated-1');
		$(this).find('.add_to_wishlist-icon').clone().css({'position': 'absolute', 'z-index': '1'}).prependTo($(this)).addClass('add_to_wishlist-icon-animated-2');
		$(this).find('.add_to_wishlist-icon').clone().css({'position': 'absolute', 'z-index': '1'}).prependTo($(this)).addClass('add_to_wishlist-icon-animated-3');
		setTimeout(function() {
			$('.add_to_wishlist-icon-animated-1, .add_to_wishlist-icon-animated-2, .add_to_wishlist-icon-animated-3').remove();
		}, 1200);
	});
	
	// YITH Wishlist table
	var woocommerceWishlist = $('.woocommerce-wishlist');
	if (woocommerceWishlist.length) {
		var thAttrProductName = $('th.product-name').text();
		var thAttrProductPrice = $('th.product-price').text();
		var thAttrProductStatus = $('th.product-stock-stauts').text();
		$('.wishlist_table td.product-name').attr('data-title',thAttrProductName);
		$('.wishlist_table td.product-price').attr('data-title',thAttrProductPrice);
		$('.wishlist_table td.product-stock-status').attr('data-title',thAttrProductStatus);
	}
	
	$(document).on('added_to_wishlist', function( response ) {
		$('.yith-wcwl-add-to-wishlist').removeClass('loading').addClass('added');
		// YITH Wishlist exist
		if ( $('.yith-wcwl-wishlistaddedbrowse').hasClass('show') ) {
			$('.yith-wcwl-add-to-wishlist').addClass('exist');
		}
		window.setTimeout( function() {
			$('.yith-wcwl-add-to-wishlist').removeClass('added');
        }, 2500 );
	} );
	
	$(document).on('updated_wc_div', function() {
		
		// Cart count animation
		setTimeout(function() {
			$('.cart-contents-count').addClass('cart-contents-count-animation');
		}, 1400);
		
		// Remove Qty title
		$('.qty').removeAttr('title');
		
		// Update cart button wrapper
		var updateCartButton = $('.button[name="update_cart"]');
		updateCartButton.parent().addClass('disabled');
		$('.shop_table .quantity .minus, .shop_table .quantity .plus').on('click', function() {
			updateCartButton.parent().removeClass('disabled');
		});
	} );
	
	$('body').on('added_to_cart',function() {
        
		// Cart count animation
		$( '.cart-contents-count' ).addClass("cart-contents-count-animation");
		
		setTimeout(function() {
			$( '.product-list-cart' ).transition({
				opacity: 1, y: '0px', visibility: 'visible',
				duration: 350,
				easing: 'ease',
				complete: function() {
					setTimeout(function() {
						$( '.product-list-cart' ).transition({
							opacity: 0, y: '15px', visibility: 'hidden',
							duration: 350,
							easing: 'ease',
						});
					}, 2500);
				}
			});
		}, 300);
		
    });
	
	$('body').on('updated_checkout',function() {
		// Radio buttons
		$( 'input[type="radio"]' ).addClass("input-radio-custom");
    });
	
	// Update button wrapper
	var wrapper = $( 'form.register, form.checkout, form.edit-account, form.lost_reset_password' ),
	submit = $( 'input[type="submit"]', wrapper ),
	submitWrapper = $( '.submit-button-wrapper', wrapper );
	$('body').on("keyup",'form.register #reg_password', function() {
	  if ( submit.is(".disabled") ) {
		  submitWrapper.addClass( 'disabled' );
	  } else {
		  submitWrapper.removeClass( 'disabled' );
	  }
	});
	
	// Button wrapper trigger form
	$(document).on("click", ".submit-button-wrapper", function () {
		var input = $(this).find('input');
		if (!$(this).hasClass("disabled")) {
			input.trigger('click');
		}
	});

	$(document).on("click", ".submit-button-wrapper input", function (e) {
		e.stopPropagation();
	});
	
	var cart = $( 'body.woocommerce-cart' );
	if (cart.length) {
		$( document ).ajaxSuccess(function() {
			// select2 dropdowns
			if ($( 'select#calc_shipping_country, select#calc_shipping_state' ).length) {
				$('select#calc_shipping_country, select#calc_shipping_state').select2();
			}
		});
		
		// Update cart button wrapper
		var updateCartButton = $( '.button[name="update_cart"]' );
		if ( updateCartButton.prop( "disabled" ) ) {
			updateCartButton.parent().addClass("disabled");
		}
		$('.shop_table .quantity .minus, .shop_table .quantity .plus').on('click', function() {
			updateCartButton.parent().removeClass("disabled");
		});
	}
	
	// Shorten
	var showChar = 215;
	var ellipsestext = "...";
	var moreText = "More";
	var lessText = "Less";
	$('.main-product-wrapper .woocommerce-product-details__short-description p').each(function() {
		var content = $(this).html();

		if (content.length > showChar) {

			var contentBefore = content.substr(0, showChar);
			var contentAfter = content.substr(showChar, content.length - showChar);

			var html = contentBefore + '<span class="moreellipses">' + ellipsestext+ '&nbsp;</span><span class="morecontent"><span>' + contentAfter + '</span>&nbsp;&nbsp;<a href="" class="morelink">' + moreText + '</a></span>';

			$(this).html(html);
		}

	});
	
	$(".morelink").on( 'click', function() {
		if ($(this).hasClass("less")) {
			$(this).removeClass("less");
			$(this).html(moreText);
		} else {
			$(this).addClass("less");
			$(this).html(lessText);
		}
		$(this).parent().prev().toggle();
		$(this).prev().toggle();
		return false;
	});
	
	// YIKES Easy Forms for MailChimp Button
	var easyFormsButton = $('.yikes-easy-mc-submit-button');
	if (easyFormsButton.length) {
		easyFormsButton.wrapInner("<span class='yikes-easy-mc-submit-button-helper'></span>");
		easyFormsButton.find('.yikes-easy-mc-submit-button-helper').after('<i></i>');
	}
	
});