// Owl Carousel
var owlCarouselWrapper = $('.mt-owl-carousel-container-wrapper');
if (owlCarouselWrapper.length) {
	owlCarouselWrapper.each(function(i) {
		$(this).find('p:empty').remove();
		var owlCarousel = $(this).find('.mt-owl-carousel-container');
		var items = owlCarousel.attr('data-items');
		if ( owlCarousel.is("[data-items-on-small-screens]") ) {
			var itemsOnSmallScreens = owlCarousel.attr('data-items-on-small-screens');
		} else {
			var itemsOnSmallScreens = 1;
		}
		var nav = owlCarousel.attr('data-nav') === 'true';
		if ( owlCarousel.is(".slide-by-by_page") ) {
			var slideBy = 'page';
		} else {
			var slideBy = 1;
		}
		var dots = owlCarousel.attr('data-dots') === 'true';
		var center = owlCarousel.attr('data-center') === 'true';
		if ( owlCarousel.is("[data-margin]") ) {
			if ( owlCarousel.is(".no-margin") ) {
				var margin = 0;
			} else {
				var margin = owlCarousel.attr('data-margin');
			}
		} else {
			if ( owlCarousel.is(".center-true") || owlCarousel.is(".mt-fadeIn") ) {
				var margin = 0;
			} else {
				var margin = 30;
			}
		}
		if ( owlCarousel.is("[data-autoHeight]") ) {
			var autoHeight = owlCarousel.attr('data-autoHeight');
		} else {
			var autoHeight = true;
		}
		if ( owlCarousel.is(".mt-testimonials") || owlCarousel.is(".fade-true") ) {
			var animateOut = 'mt-fadeOut';
			if ( owlCarousel.is(".mt-fadeIn") ) {
				var animateIn = 'mt-fadeIn';
			} else {
				var animateIn = 'mt-fadeInLeft';
			}
			if ( owlCarousel.is(".center-true") || owlCarousel.is(".mt-fadeIn") ) {
				var stagePadding = 0;
			} else {
				var stagePadding = 20;
			}
		} else {
			var animateOut = false;
			var animateIn = false;
			if ( owlCarousel.is(".image-carousel-alternative") ) {
				if ( owlCarousel.is(".image-carousel-alternative-style-2") || owlCarousel.is(".image-carousel-alternative-style-3") ) {
					var stagePadding = 20;
				} else {
					var stagePadding = 0;
				}
			} else {
				if ( owlCarousel.is(".nav-true") ) {
					var stagePadding = 20;
				} else {
					if ( owlCarousel.is(".persons-style-2") ) {
						var stagePadding = 20;
					} else {
						var stagePadding = 0;
					}
				}
			}
		}
		if ( owlCarousel.is(".loop-false") ) {
			var loop = false;
			var stagePaddingPartiallyVisible = 75;
		} else {
			var loop = true;
			var stagePaddingPartiallyVisible = 150;
		}
		if ( owlCarousel.is(".linked-true") ) {
			if (i % 2 === 0) {
				var linked = '.linked-carousel-' + (i+2);
			}
			else {
				var linked = owlCarousel.parent().prev().find('.linked-carousel-1');
			}
		} else {
			var linked = '';
		}
		// lazy-load-xt
		if ( owlCarousel.hasClass("lazyload-enabled") ) {
			owlCarousel.on('initialized.owl.carousel', function(event) {
				owlCarousel.lazyLoadXT({show: true});
				setTimeout(function() {
					owlCarousel.lazyLoadXT({show: true});
				  }, 300);
			});
			jQuery(window).on('load', function(){
				 owlCarousel.on('initialized.owl.carousel', function(event) {
					owlCarousel.lazyLoadXT({show: true});
					setTimeout(function() {
						owlCarousel.lazyLoadXT({show: true});
					  }, 300);
				});
			});
		}
		if ( owlCarousel.is('.partially-visible') ) {
		owlCarousel.owlCarousel({
			animateOut: animateOut,
			animateIn: animateIn,
			items: parseInt(items),
			margin: parseInt(margin),
			dots: dots,
			nav: nav,
			navText: [],
			loop: loop,
			center: center,
			autoHeight: autoHeight,
			smartSpeed: 350,
			linked: linked,
			callbacks: true,
			responsive : {
				// breakpoint from 0 up
				0 : {
					items: 1,
					nav: nav,
					stagePadding: parseInt(stagePadding)
				},
				// breakpoint from 580 up
				680 : {
					items: parseInt(items),
					nav: nav,
					stagePadding: parseInt(stagePadding)
				},
				// breakpoint from 868 up
				968 : {
					items: parseInt(items),
					nav: nav,
					stagePadding: stagePaddingPartiallyVisible
				}
			},
			onInitialized: animateActiveOwlCarouselItems
		});
		} else {
			owlCarousel.owlCarousel({
				animateOut: animateOut,
				animateIn: animateIn,
				items: parseInt(items),
				margin: parseInt(margin),
				dots: dots,
				nav: nav,
				slideBy: slideBy,
				navText: [],
				loop: loop,
				center: center,
				autoHeight: autoHeight,
				linked: linked,
				callbacks: true,
				responsive : {
					// breakpoint from 0 up
					0 : {
						items: 1,
						nav: nav,
						stagePadding: parseInt(stagePadding)
					},
					// breakpoint from 580 up
					680 : {
						items: parseInt(itemsOnSmallScreens),
						nav: nav,
						stagePadding: parseInt(stagePadding)
					},
					// breakpoint from 868 up
					968 : {
						items: parseInt(items),
						nav: nav,
						stagePadding: parseInt(stagePadding)
					}
				},
				onInitialized: animateActiveOwlCarouselItems
			});
		}
	
		function animateActiveOwlCarouselItems(event) {
			if ( owlCarousel.is('.mt-animate_when_almost_visible-enabled') ) {
				var activeItems = owlCarousel.find('.active');
					activeItems.addClass('mt-animate_when_almost_visible');
					
					var waypoint = new VcWaypoint({
					  element: owlCarousel,
					  handler: function(direction) {
						activeItems.each(function(i) {
							jQuery(this).delay(i*125).transition({
								opacity: 1, y: '0px',
								duration: 700,
								easing: 'ease',
								complete: function() {
									jQuery(this).removeClass('mt-animate_when_almost_visible');
									jQuery(this).css({ 'opacity': '', 'transform': '' });
									owlCarousel.removeClass('mt-animate_when_almost_visible-enabled');
								}
							});
						});
						this.destroy();
					  },
					  offset: '85%',
					});
					
			}
		}
		
		jQuery(window).on('load', function(){
			owlCarousel.trigger('refresh.owl.carousel');
		});
	
	});
	
}