// Slick Slider
var slickSliderWrapper = jQuery('.mt-slick-slider-container-wrapper');
if (slickSliderWrapper.length) {
	slickSliderWrapper.each(function() {
		var slickSlider = jQuery(this).find('.mt-slick-slider-container');
		var nav = slickSlider.data('nav');
		var dots = slickSlider.data('dots');
		var fade = slickSlider.data('fade');
		var speed = slickSlider.data('speed');
		var autoplay = slickSlider.data('autoplay');
		var autoplayspeed = slickSlider.data('autoplayspeed');
		var pauseonfocus = slickSlider.data('pauseonfocus');
		var pauseonhover = slickSlider.data('pauseonhover');
		var infinite = slickSlider.data('infinite');
		var urlHashNavigation = slickSlider.data('url-hash-navigation');
		var lazyLoad;
		
		if ( slickSlider.hasClass('lazyload-enabled') ) {
			lazyLoad = 'anticipated';
		} else {
			lazyLoad = false;
		}
			
		// Show slide number status
		var slideNumberStatus = slickSlider.data('slide-number-status');
		if ( slideNumberStatus === true ) {
			var $status = $(this).find('.paging-info');
			slickSlider.on('init reInit afterChange', function (event, slick, currentSlide, nextSlide) {
				var i = ( currentSlide ? currentSlide : 0 ) + 1;
				$status.html(i + '<span class="slash">/</span>' + slick.slideCount);
			});
		}
		
		var slider = slickSlider.slick({
		  lazyLoad: lazyLoad,
		  slidesToShow: 1,
		  slidesToScroll: 1,
		  arrows: nav,
		  dots: dots,
		  fade: fade,
		  variableWidth: false,
		  infinite: infinite,
		  adaptiveHeight: false,
		  autoplay: autoplay,
		  autoplaySpeed: autoplayspeed,
		  pauseOnFocus: pauseonfocus,
		  pauseOnHover: pauseonhover,
		  speed: speed
		});
		
		if (autoplay === true) {
			slider.slick('slickPause');
			slickSlider.one('lazyLoaded', function (event, slick, image, imageSource) {
				slider.slick('slickPlay');
			});
		}
		
		// URL Hash Navigation
		var slide;
		if ( urlHashNavigation === true ) {
			
			const urlParams = new URLSearchParams(window.location.search);
			slide = urlParams.get('slide');
			
			if ( slide !== null ) {
				slickSlider.slick( "slickGoTo", parseInt( slide - 1 ), false );
			}
			
			slickSlider.on('afterChange', function(event, slick, currentSlide) {
				if ( slide !== parseInt( currentSlide + 1 ) ) {
					window.history.pushState( null, null, '?slide=' + parseInt( currentSlide + 1 ) );
				}
			});
		
		}
		
		// On click action
		var onclick = slickSlider.data('onclick');
		if (onclick === true) {
			slickSlider.find(".slick-slide").on("click", function(){
			   slickSlider.slick("slickNext");
			});
		}
	
	});
	
}