jQuery(function ($) {
	"use strict";
	
	// Sliding Menu
	if ( $('#sliding-menu-wrapper').hasClass('align-right') ) {
		var translateXslidingMenu = '100%';
		var translateXcontentSlidingMenu = '-100px';
		var translateXslidingMenuWrapper = '50px';
	} else {
		var translateXslidingMenu = '-100%';
		var translateXcontentSlidingMenu = '100px';
		var translateXslidingMenuWrapper = '-50px';
	}

	function toggleSlidingMenu() {
		if ( $('#sliding-menu-dropdown').hasClass('open') ) {
			
			// Close
			$('#sliding-menu-wrapper.center-and-full-width-disabled').transition({
				x: translateXslidingMenu,
				duration: 200,
				easing: 'ease',
			});
		  
			// Center and Full Width Enabled
			$('#sliding-menu-wrapper.center-and-full-width-enabled').transition({
				height: '0%', opacity: 0, visibility: 'hidden',
				duration: 200,
				easing:  'ease',
			});
		  
			// Menu Content
			if ( !$('#sliding-menu-wrapper').hasClass('center-and-full-width-enabled') ) {
				var slidingMenuContent = $('#access-sliding-menu-wrapper');
				slidingMenuContent.transition({
					opacity: 0, x: translateXslidingMenuWrapper,
					duration: 50,
					easing: 'cubic-bezier(0,0.9,0.3,1)',
					complete: function() {
						$('#top-bar-wrapper').css('z-index', 1001);
					}
				});
			}
		  
			// Center and Full Width Enabled
			var menuItems = $('#sliding-menu-wrapper.align-left.center-and-full-width-enabled .sliding-menu > li, #sliding-menu-wrapper.align-right.center-and-full-width-enabled .sliding-menu > li');
			menuItems.each(function(i) {
				$(this).delay(i*1).transition({
					opacity: 0, y: '50px',
					duration: 50,
					easing: 'cubic-bezier(0,0.9,0.3,1)',
					delay: 50,
				});
			});
			
			$('#sliding-menu-dropdown').removeClass('open');
			
		} else {
			
			// Open
			$('#sliding-menu-wrapper.center-and-full-width-disabled').transition({
				x: '0px',
				duration: 200,
				easing: 'ease',
			});
			
			// Center and Full Width Enabled
			$('#sliding-menu-wrapper.align-left.center-and-full-width-enabled, #sliding-menu-wrapper.align-right.center-and-full-width-enabled').transition({
				height: '100%', opacity: 1, visibility: 'visible',
				duration: 200,
				easing:  'ease',
			});
			
			$('#top-bar-wrapper').css('z-index', 1000);
				
			// Menu Content
			var slidingMenuContent = $('#access-sliding-menu-wrapper');
			slidingMenuContent.transition({
				opacity: 1, x: '0px',
				duration: 400,
				easing: 'cubic-bezier(0,0.9,0.3,1)',
				delay: 150,
			});
			  
			var menuItems = $('#sliding-menu-wrapper.align-left.center-and-full-width-enabled .sliding-menu > li, #sliding-menu-wrapper.align-right.center-and-full-width-enabled .sliding-menu > li');
			menuItems.each(function(i) {
				$(this).delay(i*55).transition({
					opacity: 1, y: '0px',
					duration: 400,
					easing: 'cubic-bezier(0,0.9,0.3,1)',
					delay: 200,
				});
			});
			
			$('#sliding-menu-dropdown').addClass('open');
		}
	}

	// Sliding Menu Button
	$('.header-wrapper #sliding-menu-dropdown, #sliding-menu-wrapper .close-button').on( 'click', function() {
		toggleSlidingMenu();
	});

	// Sliding Menu Accordion
	var slidingSubmenu = jQuery( '#access-sliding-menu-wrapper .sub-menu' );
	if (slidingSubmenu.length) {
		slidingSubmenu.wrapInner("<div class='clearfix'></div>");
		
		var slidingMenuItem = $("#access-sliding-menu-wrapper .nav-menu > .menu-item");
		slidingMenuItem.each(function() {
			if ( $(this).is('.current-menu-ancestor') ) {
				$(this).addClass('active');
			}
		});
	}

	var slidingMenuItemHasSubmenuDrop = $( '#access-sliding-menu-wrapper .menu-item-has-children' );
	if (slidingMenuItemHasSubmenuDrop.length) {
		slidingMenuItemHasSubmenuDrop.find('span:first').append( "<span class='drop-icon'></span>" );
		slidingMenuItemHasSubmenuDrop.find('span:first .drop-icon').on('click', function() {
			$(this).closest(".menu-item-has-children").toggleClass("active");
		});
	}

});