"use strict";

// Swiper
var swiperEl = document.querySelectorAll(".swiper");
for (let i = 0; i < swiperEl.length; i++) {
  var lazy,
    effect = swiperEl[i].getAttribute("data-effect"),
	followFinger = true,
    longSwipes = true,
	loop = swiperEl[i].getAttribute("data-loop"),
    autoplay = swiperEl[i].getAttribute("data-autoplay"),
    autoplayDelay = swiperEl[i].getAttribute("data-autoplay-delay"),
    disableOnInteraction = swiperEl[i].getAttribute("data-disable-on-interaction"),
    pauseOnMouseEnter = swiperEl[i].getAttribute("data-pause-on-mouse-enter"),
	slidesPerView = swiperEl[i].getAttribute("data-slides-per-view"),
	navigation = swiperEl[i].getAttribute("data-navigation"),
	slidesPerGroup = swiperEl[i].getAttribute("data-slides-per-group"),
	onClick = swiperEl[i].getAttribute("data-on-click"),
    pagination = swiperEl[i].getAttribute("data-pagination"),
	spaceBetween = swiperEl[i].getAttribute("data-space-between");
  
  if (swiperEl[i].classList.contains("lazyload-enabled")) {
	if (swiperEl[i].classList.contains("swiper-big")) {
	  var slide = swiperEl[i].querySelectorAll(".swiper-slide");
	  for (let j = 0; j < slide.length; j++) {
	    var loader = slide[j].querySelector(".swiper-lazy-loader");
        loader.insertAdjacentHTML("afterBegin", "<svg class='circular' viewBox='25 25 50 50'><circle class='path' cx='50' cy='50' r='20' fill='none' stroke-width='4' stroke-miterlimit='10'/></svg>");
	  }
    }
	
    var lazyOptions = {
      loadPrevNext: true,
	  checkInView: true,
    };
	var preloadImages = false;
  } else {
    var lazyOptions = false;
	var preloadImages = true;
  }
  
  if (loop === "true") {
    loop = true;
  } else {
    loop = false;
  }
  
  if (effect === "fade") {
    followFinger = false;
    longSwipes = false;
  }
  
  if (swiperEl[i].classList.contains("lazyload-enabled") && autoplay === "true") {
	  var autoplayOptions = false;
  } else {
    if (autoplay === 'true') {
	  if (disableOnInteraction === "true") {
	    disableOnInteraction = true;
	  } else {
	    disableOnInteraction = false;
	  }

	  if (pauseOnMouseEnter === "true") {
	    pauseOnMouseEnter = true;
	  } else {
	    pauseOnMouseEnter = false;
	  }

	  var autoplayOptions = {
	    delay: autoplayDelay,
	    disableOnInteraction: disableOnInteraction,
	    pauseOnMouseEnter: pauseOnMouseEnter,
	  };
    } else {
	  var autoplayOptions = false;
    }
  }
  
  if (navigation === "true") {
    navigation = {
	  nextEl: ".swiper-button-next",
      prevEl: ".swiper-button-prev",
	};
  } else {
    navigation = false;
  }
  
  if (pagination === "true") {
    pagination = true;
  } else {
    pagination = false;
  }
  
  const swiper = new Swiper(swiperEl[i], {
	speed: 200,
	preloadImages: preloadImages,
	lazy: lazyOptions,
	effect: effect,
	fadeEffect: {
      crossFade: true
    },
	loop: loop,
	autoplay: autoplayOptions,
    slidesPerView: parseInt(slidesPerView),
	navigation: navigation,
	slidesPerGroup: parseInt(slidesPerGroup),
    pagination: pagination,
	spaceBetween: parseInt(spaceBetween),
	followFinger: followFinger,
	longSwipes: longSwipes,
  });
  
  if (onClick === "true") {
    swiper.on("click", function() {
      this.slideNext();
    });
  }
  
  if (swiperEl[i].classList.contains("lazyload-enabled") && autoplay === "true") {
	swiper.on("lazyImageLoad", function() {
	  if (this.autoplay.running) {
		this.autoplay.stop();
	  }
    });
	
    swiper.on("lazyImageReady", function(swiper, slideEl, imageEl) {
	  if (this.params.autoplay.enabled === false) {
		autoplayOptions = {
	      delay: autoplayDelay,
	      disableOnInteraction: disableOnInteraction,
	      pauseOnMouseEnter: pauseOnMouseEnter,
	    };
	    this.params.autoplay = autoplayOptions;
	  }
	  if (!this.autoplay.running) {
		this.autoplay.start();
	  }
    });
  }
}