"use strict";
var parallaxEl = document.querySelectorAll("[data-vc-parallax]");
for (let i = 0; i < parallaxEl.length; i++) {
  var parallax = parallaxEl[i].getAttribute("data-vc-parallax"),
	parallaxSize = 100 * parallax,
	parallaxElement = document.createElement("div");
  parallaxElement.className = "vc_parallax-inner";
  parallaxEl[i].appendChild(parallaxElement);
  parallaxElement.style.height = parallaxSize + "%";
  var parallaxImage = parallaxEl[i].getAttribute("data-vc-parallax-image");
  if ( parallaxEl[i].classList.contains("vc_parallax-lazy") ) {
    parallaxElement.setAttribute("data-bg", parallaxImage);
    parallaxElement.classList.add("lazyload");
  } else {
    e.target.style.backgroundImage = "url(" + parallaxImage + ")";
  }
}

// Scrolled into view
var translateY = 0;
function isScrolledIntoView(el) {
  var rect = el.getBoundingClientRect(),
    elemTop = rect.top,
    elemBottom = rect.bottom;

  // Partially visible elements return true:
  var isVisible = elemTop < window.innerHeight && elemBottom >= 0;
  
  if (isVisible) {
	requestAnimationFrame(function() {
	  translateY = -elemTop / 2;
	  el.querySelector(".vc_parallax-inner").style.transform = "translateY(" + translateY + "px)";
	});
  }
  
}
window.addEventListener("scroll", function() {
  for (let i = 0; i < parallaxEl.length; i++) {
    isScrolledIntoView(parallaxEl[i]);
  }
});