<?php // Single Nav ?>
<?php $single_post_navigation = get_theme_mod( 'single_post_navigation', false ); ?>
<?php $single_portfolio_navigation = get_theme_mod( 'single_portfolio_navigation', false ); ?>
<?php if ( ! empty( $single_post_navigation ) && 'post' == get_post_type() || ! empty( $single_portfolio_navigation ) && 'portfolio' == get_post_type() ) { ?>
	<?php $single_navigation_style = get_theme_mod( 'single_navigation_style', 1 ); ?>
	<?php $single_navigation_images = get_theme_mod( 'single_navigation_images', false ); ?>
	<?php $full_width_single_navigation = get_theme_mod( 'full_width_single_navigation', false ); ?>
	
	<?php if ( ! empty( $single_navigation_images ) ) { ?>
		<?php $single_navigation_images_class = 'single-post-navigation-images-enabled'; ?>
	<?php } else { ?>
		<?php $single_navigation_images_class = 'single-post-navigation-images-disabled'; ?>
	<?php } ?>
	
	<?php if ( ! empty( $full_width_single_navigation ) ) { ?>
		<?php $full_width_single_navigation_class = 'single-post-navigation-full-width-enabled'; ?>
	<?php } else { ?>
		<?php $full_width_single_navigation_class = 'single-post-navigation-full-width-disabled'; ?>
	<?php } ?>
	
	<div class="nav-pagination-single-wrapper single-post-navigation-style-<?php echo esc_attr( $single_navigation_style ); ?> <?php echo esc_attr( $single_navigation_images_class ); ?> <?php echo esc_attr( $full_width_single_navigation_class ); ?> clearfix">
		<nav id="nav-pagination-single">
		<?php if ( $single_navigation_style == 1 ) { ?>
		
			<?php $next_post = get_next_post(); ?>
			<?php if ( ! empty( $next_post ) ) { ?>
				<div class="nav-previous">
					<a class="previous" href="<?php echo esc_url( get_permalink( $next_post->ID ) ); ?>">
						<i><svg viewBox="0 0 9 16"><polyline fill="none" stroke-miterlimit="10" points="7.3,14.7 2.5,8 7.3,1.2"></polyline></svg></i>
						<span class="text-wrapper"><?php echo esc_html( get_the_title( $next_post->ID ) ); ?></span>
					</a>
					
					<div class="content-wrapper">
						<?php if ( has_post_thumbnail( $next_post->ID ) ) { ?>
							<?php $next_post_thumbnail_id = get_post_thumbnail_id( $next_post->ID ); ?>
							<?php $next_post_featured_img = wp_get_attachment_image_src( $next_post_thumbnail_id, 'medium' ); ?>
							<?php $next_post_featured_img_thumbnail = wp_get_attachment_image_src( $next_post_thumbnail_id, 'thumbnail' ); ?>
							<?php $next_post_featured_img_title = get_the_title( $next_post_thumbnail_id ); ?>
							<div class="featured-image-wrapper lazyload-enabled">
								<div class="featured-image lazy" style="--aspect-ratio: <?php echo esc_attr( ( $next_post_featured_img[1] / $next_post_featured_img[2] ) ) ?>;">
									<?php echo '<img class="featured-image-img lazyload" width="'. $next_post_featured_img[1] .'" height="'. $next_post_featured_img[2] .'" data-src="'. $next_post_featured_img[0] .'" alt="'. $next_post_featured_img_title .'" src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7" />'; ?>
									<span class="loaderbg"></span>
								</div>
							</div>
						<?php } ?>
					</div>
					
				</div>
				
			<?php } else { ?>
			
				<?php
				$last_post = get_posts( array(
					'post_type' => 'portfolio',
					'posts_per_page' => 1,
					'order' => 'ASC',
					
				) );
				?>
				
				<div class="nav-previous">
					<a class="previous" href="<?php echo esc_url( get_permalink( $last_post[0]->ID ) ); ?>">
						<i><svg viewBox="0 0 9 16"><polyline fill="none" stroke-miterlimit="10" points="7.3,14.7 2.5,8 7.3,1.2"></polyline></svg></i>
						<span class="text-wrapper"><?php echo esc_html( get_the_title( $last_post[0]->ID ) ); ?></span>
					</a>
					
					<div class="content-wrapper">
						<?php if ( has_post_thumbnail( $last_post[0]->ID ) ) { ?>
							<?php $next_post_thumbnail_id = get_post_thumbnail_id( $last_post[0]->ID ); ?>
							<?php $next_post_featured_img = wp_get_attachment_image_src( $next_post_thumbnail_id, 'medium' ); ?>
							<?php $next_post_featured_img_thumbnail = wp_get_attachment_image_src( $next_post_thumbnail_id, 'thumbnail' ); ?>
							<?php $next_post_featured_img_title = get_the_title( $next_post_thumbnail_id ); ?>
							<div class="featured-image-wrapper lazyload-enabled">
								<div class="featured-image lazy" style="--aspect-ratio: <?php echo esc_attr( ( $next_post_featured_img[1] / $next_post_featured_img[2] ) ) ?>;">
									<?php echo '<img class="featured-image-img lazyload" width="'. $next_post_featured_img[1] .'" height="'. $next_post_featured_img[2] .'" data-src="'. $next_post_featured_img[0] .'" alt="'. $next_post_featured_img_title .'" src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7" />'; ?>
									<span class="loaderbg"></span>
								</div>
							</div>
						<?php } ?>
					</div>
					
				</div>
				
			<?php } ?>
		
			<?php $prev_post = get_previous_post(); ?>
			<?php if ( ! empty( $prev_post ) ) { ?>
				<div class="nav-next compensate-for-scrollbar">
					<a class="next" href="<?php echo esc_url( get_permalink( $prev_post->ID ) ); ?>">
						<span class="text-wrapper"><?php echo esc_html( get_the_title( $prev_post->ID ) ); ?></span>
						<i><svg viewBox="0 0 9 16"><polyline fill="none" stroke-miterlimit="10" points="1.6,1.2 6.5,7.9 1.6,14.7"></polyline></svg></i>
					</a>
					
					<div class="content-wrapper">
						<?php if ( has_post_thumbnail( $prev_post->ID ) ) { ?>
							<?php $prev_post_thumbnail_id = get_post_thumbnail_id( $prev_post->ID ); ?>
							<?php $prev_post_featured_img = wp_get_attachment_image_src( $prev_post_thumbnail_id, 'medium' ); ?>
							<?php $prev_post_featured_img_thumbnail = wp_get_attachment_image_src( $prev_post_thumbnail_id, 'thumbnail' ); ?>
							<?php $prev_post_featured_img_title = get_the_title( $prev_post_thumbnail_id ); ?>
							<div class="featured-image-wrapper lazyload-enabled">
								<div class="featured-image lazy" style="--aspect-ratio: <?php echo esc_attr( ( $prev_post_featured_img[1] / $prev_post_featured_img[2] ) ) ?>;">
									<?php echo '<img class="featured-image-img lazyload" width="'. $prev_post_featured_img[1] .'" height="'. $prev_post_featured_img[2] .'" data-src="'. $prev_post_featured_img[0] .'" alt="'. $prev_post_featured_img_title .'" src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7" />'; ?>
									<span class="loaderbg"></span>
								</div>
							</div>
						<?php } ?>
					</div>
				</div>
				
			<?php } else { ?>
			
				<?php
				$first_post = get_posts( array(
					'post_type' => 'portfolio',
					'posts_per_page' => 1
				) );
				?>
				
				<div class="nav-next compensate-for-scrollbar">
					<a class="next" href="<?php echo esc_url( get_permalink( $first_post[0]->ID ) ); ?>">
						<span class="text-wrapper"><?php echo esc_html( get_the_title( $first_post[0]->ID ) ); ?></span>
						<i><svg viewBox="0 0 9 16"><polyline fill="none" stroke-miterlimit="10" points="1.6,1.2 6.5,7.9 1.6,14.7"></polyline></svg></i>
					</a>
					
					<div class="content-wrapper">
						<?php if ( has_post_thumbnail( $first_post[0]->ID ) ) { ?>
							<?php $prev_post_thumbnail_id = get_post_thumbnail_id( $first_post[0]->ID ); ?>
							<?php $prev_post_featured_img = wp_get_attachment_image_src( $prev_post_thumbnail_id, 'medium' ); ?>
							<?php $prev_post_featured_img_thumbnail = wp_get_attachment_image_src( $prev_post_thumbnail_id, 'thumbnail' ); ?>
							<?php $prev_post_featured_img_title = get_the_title( $prev_post_thumbnail_id ); ?>
							<div class="featured-image-wrapper lazyload-enabled">
								<div class="featured-image lazy" style="--aspect-ratio: <?php echo esc_attr( ( $prev_post_featured_img[1] / $prev_post_featured_img[2] ) ) ?>;">
									<?php echo '<img class="featured-image-img lazyload" width="'. $prev_post_featured_img[1] .'" height="'. $prev_post_featured_img[2] .'" data-src="'. $prev_post_featured_img[0] .'" alt="'. $prev_post_featured_img_title .'" src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7" />'; ?>
									<span class="loaderbg"></span>
								</div>
							</div>
						<?php } ?>
					</div>
				</div>
				
			<?php } ?>
		
		<?php } else if ( $single_navigation_style == 2 ) { ?>
		
			<?php $prev_post = get_previous_post(); ?>
			<?php if ( ! empty( $prev_post ) ) { ?>
				<div class="nav-next wpb_animate_when_almost_visible mtfadeIn">
					<a class="next" href="<?php echo esc_url( get_permalink( $prev_post->ID ) ); ?>">
						<h2>
							<span><?php echo esc_html__( 'Next:', 'skylab' ); ?></span>
							<span><?php echo esc_html( get_the_title( $prev_post->ID ) ); ?></span>
						</h2>
					</a>
				</div>
			<?php } else { ?>
				<?php
				$first_post = get_posts( array(
					'post_type' => 'portfolio',
					'posts_per_page' => 1
				) );
				?>
				<div class="nav-next wpb_animate_when_almost_visible mtfadeIn">
					<a class="next" href="<?php echo esc_url( get_permalink( $first_post[0]->ID ) ); ?>">
						<h2>
							<span><?php echo esc_html__( 'Next:', 'skylab' ); ?></span>
							<span><?php echo esc_html( get_the_title( $first_post[0]->ID ) ); ?></span>
						</h2>
					</a>
				</div>
			<?php } ?>
			
		<?php } ?>
		
		</nav>
	</div>
<?php } ?>