<?php
/**
 * The template for displaying top bar
 *
 * @package WordPress
 * @subpackage Skylab
 * @since Skylab 1.0
 */
?>
	<?php $top_bar_behavior = get_theme_mod( 'top_bar_behavior', 'normal' ); ?>
	<div id="top-bar-wrapper" class="<?php if ( $top_bar_behavior == 'fixed' ) { ?>fixed<?php } ?>">
		<div id="top-bar" class="clearfix">
		
			<?php // Top Bar Info 2 ?>
			<?php $top_bar_info_2 = get_theme_mod( 'top_bar_info_2' ); ?>
			<?php if ( ! empty( $top_bar_info_2 ) ) { ?>
				<div class="info-top-bar info-top-bar-2">
					<?php if ( function_exists( 'icl_t' ) ) { ?>
						<?php echo icl_t( 'Customizer', 'top_bar_info_2', $top_bar_info_2 ); ?>
					<?php } else { ?>
						<?php echo do_shortcode( $top_bar_info_2 ); ?>
					<?php } ?>
				</div>
			<?php } ?>
			
			<?php // Top Bar Info ?>
			<?php $top_bar_info = get_theme_mod( 'top_bar_info' ); ?>
			<?php if ( ! empty( $top_bar_info ) ) { ?>
				<div class="info-top-bar">
					<?php if ( function_exists( 'icl_t' ) ) { ?>
						<?php echo icl_t( 'Customizer', 'top_bar_info', $top_bar_info ); ?>
					<?php } else { ?>
						<?php echo do_shortcode( $top_bar_info ); ?>
					<?php } ?>
				</div>
			<?php } ?>
			
			<?php // WooCommerce ?>
			<?php if ( class_exists( 'woocommerce' ) ) { ?>
				<?php $woocommerce_cart_position = get_theme_mod( 'woocommerce_cart_position', 'header' ); ?>
				<?php $woocommerce_my_account_position = get_theme_mod( 'woocommerce_my_account_position', 'header' ); ?>
				<?php $woocommerce_wishlist_position = get_theme_mod( 'woocommerce_wishlist_position', 'header' ); ?>
				<?php if ( $woocommerce_cart_position == 'top_bar' || $woocommerce_my_account_position == 'top_bar' || $woocommerce_wishlist_position == 'top_bar' && class_exists( 'YITH_WCWL' ) ) { ?>
					<?php $cart_icon_style = get_theme_mod( 'cart_icon_style', 1 ); ?>
					<?php $my_account_icon_style = get_theme_mod( 'my_account_icon_style', 1 ); ?>
					<div class="woocommerce-links-wrapper cart-icon-style-<?php echo esc_attr( $cart_icon_style ); ?> my-account-icon-style-<?php echo esc_attr( $my_account_icon_style ); ?>">
						<div class="woocommerce-links">
					
							<?php // YITH WooCommerce Wishlist ?>
							<?php if ( class_exists( 'YITH_WCWL' ) ) { ?>
								<?php if ( $woocommerce_wishlist_position == 'top_bar' ) { ?>
									<div class="yith-wishlist-wrapper transition">
										<a href="<?php echo esc_url( get_permalink( get_option( 'yith_wcwl_wishlist_page_id' ) ) ); ?>" class="yith-wishlist-icon"><span><i></i></span></a>
									</div>
								<?php } ?>
							<?php } ?>
							
							<?php // WooCommerce My Account ?>
							<?php if ( $woocommerce_my_account_position == 'top_bar' ) { ?>
								<div class="woocommerce-my-account-wrapper transition">
									<a href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_myaccount_page_id' ) ) ); ?>" class="woocommerce-my-account"><span><i></i></span></a>
									
									<div class="woocommerce-links-helper">
										<em></em>
										<?php if ( is_user_logged_in() ) { ?>
											<ul>
												<li><a class="logout" href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_logout_page_id' ) ) ); ?>"><span><?php esc_html_e( 'Logout', 'skylab' ); ?></span></a></li>
												<li><a class="account" href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_myaccount_page_id' ) ) ); ?>"><span><?php esc_html_e( 'My Account', 'skylab' ); ?></span></a></li>
											</ul>
										<?php } else { ?>
											<ul>
												<li><a class="account" href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_myaccount_page_id' ) ) ); ?>"><span><?php esc_html_e( 'Login', 'skylab' ); ?></span></a></li>
											</ul>
										<?php } ?>
									</div>
								</div>
							<?php } ?>
							
							<?php // WooCommerce Cart ?>
							<?php if ( $woocommerce_cart_position == 'top_bar' ) { ?>
								<div class="woocommerce-mini-cart-wrapper">
									<?php if ( ! WC()->cart->get_cart_contents_count() ) { ?>
										<a class="woocommerce-mini-cart" href="<?php echo esc_url( wc_get_cart_url() ); ?>"><span><i></i></span></a>
									<?php } else { ?>
										<a class="woocommerce-mini-cart" href="<?php echo esc_url( wc_get_cart_url() ); ?>"><span><i></i> <span class="cart-contents-count"><?php echo WC()->cart->get_cart_contents_count(); ?></span></span></a>
										<div class="product-list-cart">
											<em></em>
											<ul>
											<?php foreach ( WC()->cart->get_cart_contents_count() as $cart_item ) : ?>
												<li>
													<a href="<?php echo esc_url( get_permalink( $cart_item['product_id'] ) ); ?>">
														<?php echo get_the_post_thumbnail( $cart_item['product_id'], 'shop_thumbnail' ); ?>
														<span class="product"><?php echo trim( $cart_item['data']->post->post_title ); ?></span>
													</a>
													<?php echo trim( $cart_item['quantity'] ); ?> x <?php echo WC()->cart->get_product_subtotal( $cart_item['data'], $cart_item['quantity'] ); ?>
												</li>
											<?php endforeach; ?>
											</ul>
											<div class="woocommerce-mini-cart-checkout">
												<div class="woocommerce-mini-cart-total-wrapper">
													<span class="woocommerce-mini-cart-total-text"><?php esc_html_e( 'Total', 'skylab' ); ?></span><span class="woocommerce-mini-cart-total-number"><?php echo WC()->cart->get_cart_total(); ?></span>
												</div>
												<a class="button alt to-checkout" href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_checkout_page_id' ) ) ); ?>"><span><?php esc_html_e( 'To checkout', 'skylab' ); ?></span></a>
												<a class="button to-cart" href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_cart_page_id' ) ) ); ?>"><span><?php esc_html_e( 'View cart', 'skylab' ); ?></span></a>
											</div>
										</div>
									<?php } ?>
								</div>
							<?php } ?>
			
						</div><!-- .woocommerce-links -->
					</div><!-- .woocommerce-links-wrapper -->
				<?php } ?>
			<?php } // End if ( class_exists( 'woocommerce' ) ) ?>
			
			<?php // Search ?>
			<?php $search_position = get_theme_mod( 'search_position', 'none' ); ?>
			<?php if ( $search_position == 'top_bar' ) { ?>	
				<div class="search-header-wrapper">
					<span class="search-header-icon"></span>
				</div>
			<?php } ?>
			
			<?php // Social Links ?>
			<?php $social_links_position = get_theme_mod( 'social_links_position', 'none' ); ?>
			<?php if ( $social_links_position == 'top_bar' ) { ?>
				<?php $social_links_style = get_theme_mod( 'social_links_style', 1 ); ?>
				<div class="social-links-wrapper social-links-style-<?php echo esc_attr( $social_links_style ); ?>">
					<?php get_template_part( 'social-links' ); ?>
				</div>
			<?php } ?>
			
			<?php // WPML ?>
			<?php if ( function_exists( 'icl_object_id' ) ) { ?>
				<?php $wpml_language_switcher_position = get_theme_mod( 'wpml_language_switcher_position', 'none' ); ?>
				<?php if ( $wpml_language_switcher_position == 'top_bar' ) { ?>
					<div class="lang_sel-wrapper">
						<?php do_action( 'icl_language_selector' ); ?>
					</div>
				<?php } ?>
			<?php } ?>
			
			<?php // Top Bar Menu ?>
			<?php if ( has_nav_menu( 'top_bar' ) ) { ?>
				<div class="menu-wrapper menu-wrapper-top-bar">
					<div class="nav-menu-top-bar-wrapper">
						<?php wp_nav_menu( array(
							'theme_location' => 'top_bar',
							'walker' => 'mega_Sublevel_Walker',
							'menu_class' => 'sf-menu',
							'container_class' => 'nav-menu nav-menu-top-bar',
							'link_before' => '<span>',
							'link_after' => '</span>' )
						); ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>