jQuery(document).ready(function($) {
	"use strict";

	// Testimonials
	window.VcBackendTtaAccordionTestimonialsView = VcBackendTtaViewInterface.extend({
		sortableSelector: "> .vc_tta-panel:not(.vc_tta-section-append)",
		sortableSelectorCancel: ".vc-non-draggable",
		sortableUpdateModelIdSelector: "data-model-id",
		defaultSectionTitle: window.i18nLocale.section,
		render: function() {
			return window.VcBackendTtaTabsView.__super__.render.call(this), this.$navigation = this.$content, this.$sortable = this.$content, vc_user_access().shortcodeAll("vc_tta_section_testimonials_testimonials") || this.$content.find(".vc_tta-section-append").hide(), this
		},
		removeSection: function(model) {
			var $viewTab, $nextTab, tabIsActive;
			$viewTab = this.findSection(model.get("id")), tabIsActive = $viewTab.hasClass(this.activeClass), tabIsActive && ($nextTab = this.getNextTab($viewTab), $nextTab.addClass(this.activeClass))
		},
		addShortcode: function(view) {
			var beforeShortcode;
			beforeShortcode = _.last(vc.shortcodes.filter(function(shortcode) {
				return shortcode.get("parent_id") === this.get("parent_id") && parseFloat(shortcode.get("order")) < parseFloat(this.get("order"))
			}, view.model)), beforeShortcode ? view.render().$el.insertAfter("[data-model-id=" + beforeShortcode.id + "]") : this.$content.prepend(view.render().el)
		}
	});

	// Team Slider
	window.VcBackendTtaAccordionTeamSliderView = VcBackendTtaViewInterface.extend({
		sortableSelector: "> .vc_tta-panel:not(.vc_tta-section-append)",
		sortableSelectorCancel: ".vc-non-draggable",
		sortableUpdateModelIdSelector: "data-model-id",
		defaultSectionTitle: window.i18nLocale.section,
		render: function() {
			return window.VcBackendTtaTabsView.__super__.render.call(this), this.$navigation = this.$content, this.$sortable = this.$content, vc_user_access().shortcodeAll("vc_tta_section_team_slider") || this.$content.find(".vc_tta-section-append").hide(), this
		},
		removeSection: function(model) {
			var $viewTab, $nextTab, tabIsActive;
			$viewTab = this.findSection(model.get("id")), tabIsActive = $viewTab.hasClass(this.activeClass), tabIsActive && ($nextTab = this.getNextTab($viewTab), $nextTab.addClass(this.activeClass))
		},
		addShortcode: function(view) {
			var beforeShortcode;
			beforeShortcode = _.last(vc.shortcodes.filter(function(shortcode) {
				return shortcode.get("parent_id") === this.get("parent_id") && parseFloat(shortcode.get("order")) < parseFloat(this.get("order"))
			}, view.model)), beforeShortcode ? view.render().$el.insertAfter("[data-model-id=" + beforeShortcode.id + "]") : this.$content.prepend(view.render().el)
		}
	});

}); // END jQuery(function()