<?php
/**
 * Single variation cart button
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

global $product;
?>
<div class="woocommerce-variation-add-to-cart variations_button">
	<?php
		/**
		 * @since 3.0.0.
		 */
		do_action( 'woocommerce_before_add_to_cart_quantity' );

		woocommerce_quantity_input( array(
			'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
			'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
			'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( $_POST['quantity'] ) : $product->get_min_purchase_quantity(),
		) );

		/**
		 * @since 3.0.0.
		 */
		do_action( 'woocommerce_after_add_to_cart_quantity' );
	?>
	<button type="submit" class="single_add_to_cart_button button alt"><span><span><?php echo esc_html( $product->single_add_to_cart_text() ); ?></span></span><i></i></button>
	<input type="hidden" name="add-to-cart" value="<?php echo esc_attr( absint( $product->get_id() ) ); ?>" />
	<input type="hidden" name="product_id" value="<?php echo esc_attr( absint( $product->get_id() ) ); ?>" />
	<input type="hidden" name="variation_id" class="variation_id" value="0" />
	
	<?php if ( class_exists( 'YITH_WCWL' ) || shortcode_exists( 'easy-social-share' ) ) { ?>
	<div class="shortcodes-wrapper">
	<?php } ?>
		<?php if ( class_exists( 'YITH_WCWL' ) ) { ?>
			<?php echo do_shortcode( '[yith_wcwl_add_to_wishlist]' ); ?>
		<?php } ?>
		
		<?php if ( shortcode_exists( 'easy-social-share' ) ) { ?>
			<div class="easy-social-share-button easy-social-share-button-custom">
				<?php echo do_shortcode('[easy-social-share buttons="share,facebook,pinterest" sharebtn_func="1" sharebtn_style="icon" sharebtn_icon="share" sharebtn_counter="hidden" counters=0 total_counter_pos="after" style="icon" point_type="simple"]'); ?>
			</div>
		<?php } ?>
	<?php if ( class_exists( 'YITH_WCWL' ) || shortcode_exists( 'easy-social-share' ) ) { ?>
	</div>
	<?php } ?>
	
	<?php $single_product_page_info = get_theme_mod( 'single_product_page_info' ); ?>
	<?php if ( ! empty( $single_product_page_info ) ) { ?>
		<div class="single-product-additional-block-wrapper clearfix">
			<?php if ( function_exists( 'icl_t' ) ) { ?>
				<?php echo icl_t( 'Customizer', 'single_product_page_info', $single_product_page_info ); ?>
			<?php } else { ?>
				<?php echo do_shortcode( $single_product_page_info ); ?>
			<?php } ?>
		</div>
	<?php } ?>
</div>
